Bug 117358 - dvb modules not loaded during boot
dvb modules not loaded during boot
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 03:36 EST by Jørgen Nørgaard
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 11:33:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jørgen Nørgaard 2004-03-03 03:36:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
A dvb card seems not to be deetected and properly activated during boot.

To activate the card I do:

modprobe -r budget
modprobe -v budget
modprobe -v ves1820


The card is a TechoTrend PCI budget card (philips saa7146 and ves 1820
chips)

Devices were created with MAKEDEV-DVB.sh from the linuxtv-dvb-1.1.0
package.



Version-Release number of selected component (if applicable):
kernel-2.6.3-1.118

How reproducible:
Always

Steps to Reproduce:
1. add card
2. reboot system
    

Additional info:

Card information from /proc/pci

  Bus  0, device  11, function  0:
    Class 0480: PCI device 1131:7146 (rev 1).
      IRQ 9.
      Master Capable.  Latency=32.  Min Gnt=15.Max Lat=38.
      Non-prefetchable 32 bit memory at 0xe4000000 [0xe40001ff].
Comment 1 Arjan van de Ven 2004-03-03 03:38:35 EST
it's kudzu who does the hardware detection business.. changing component
Comment 2 Bill Nottingham 2004-03-10 00:52:20 EST
The ves1820 drivers really should have PCI module table entries
included in it.
Comment 3 Jørgen Nørgaard 2004-03-15 09:22:53 EST
This is the response on the linux-dvb@linuxtv.org mailing list, I don't know if it is of any 
help:


> That's bogus. Ves1820 and other frontend drivers are connected to
> the I2C bus, not the PCI bus


Also it seems that the driver must be added to /etc/modules.conf for this to work.
Comment 4 Bill Nottingham 2004-03-15 11:33:56 EST
Ah, OK. You posted a PCI id, so I assumed that's where the card was.

If it's not automatically detectable, it's not really automatically
configurable.

Note You need to log in before you can comment on or make changes to this bug.